> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minenet.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Diff deployment configuration versions



## OpenAPI

````yaml api-reference/openapi.yaml get /deployments/configurations/{configurationId}/versions/diff
openapi: 3.1.0
info:
  title: Minenet Client API
  version: 1.0.0
  description: >
    Team-scoped API for deployments, servers, snapshots, files, and mod platform
    metadata.


    Authentication:

    - Bearer user token (`mnp_*`)

    - Bearer agent token (`mna_*`)


    Global rate limit: 100 requests/minute per token.
servers:
  - url: https://your-domain.com/api/client/v1
security:
  - bearerAuth: []
tags:
  - name: Deployments
  - name: Servers
  - name: Snapshots
  - name: Files
  - name: Modrinth
  - name: CurseForge
paths:
  /deployments/configurations/{configurationId}/versions/diff:
    get:
      tags:
        - Deployments
      summary: Diff deployment configuration versions
      operationId: diffDeploymentConfigurationVersions
      parameters:
        - $ref: '#/components/parameters/ConfigurationId'
        - name: from
          in: query
          schema:
            type: string
        - name: to
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Diff
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                  from:
                    oneOf:
                      - $ref: '#/components/schemas/DeploymentConfigurationVersion'
                      - type: 'null'
                  to:
                    $ref: '#/components/schemas/DeploymentConfigurationVersion'
                  diff:
                    type: object
                    properties:
                      unified:
                        type: string
                      truncated:
                        type: boolean
                      stats:
                        type: object
                        properties:
                          added:
                            type: integer
                          removed:
                            type: integer
                  has_changes:
                    type: boolean
        '400':
          $ref: '#/components/responses/BadRequest'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    ConfigurationId:
      name: configurationId
      in: path
      required: true
      schema:
        type: string
      description: Deployment configuration ID.
  schemas:
    DeploymentConfigurationVersion:
      type: object
      properties:
        id:
          type: string
        configuration_id:
          type: string
        version_number:
          type: integer
        yaml:
          type: string
        spec_hash:
          type: string
        resource_count:
          type: integer
        pushed_by:
          type: string
        pushed_at:
          type: integer
        push_message:
          oneOf:
            - type: string
            - type: 'null'
        base_version_id:
          oneOf:
            - type: string
            - type: 'null'
      required:
        - id
        - configuration_id
        - version_number
        - yaml
        - spec_hash
        - resource_count
        - pushed_by
        - pushed_at
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
      required:
        - error
  responses:
    BadRequest:
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Resource not found or unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: token

````